
Figure - Bug #116819
【BSP】【DVT】【ST】【Audio】中控联调时在副屏播放音乐时中控播放音乐，提示无法打开
2023-03-08 19:51 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-08

Priority: Normal Due date: 2023-03-16

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控：0052��副屏：0079userdebug

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 优化了失去焦点时的被动暂停逻辑，只通知应用焦点切换

Description

【复现步骤】

1.中控联调

2.副屏上播放音乐

3.中控上点击音乐进行播放

【实际结果】

副屏提示“无法打开文件”

且播放进度恢复到最开始的0秒

【预期结果】

副屏音乐暂停，中控音乐正常播放或者有相应的提示先暂停副屏音乐播放等

History

#1 - 2023-03-09 19:14 - CD TPM-王祥林

- Category changed from BSP to AUDIO-FW

- Assignee changed from CD TPM-王祥林 to Multimedia组-RD3_TSCD 梁卿山

#2 - 2023-03-15 16:03 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi All,

■ 当前分析

251:03-12 01:53:51.437  3973  3973 E MediaPlayerNative: pause called in state 64, mPlayer(0xb4000070c2f88620) ★★★

252:03-12 01:53:51.438  3973  3973 E MediaPlayerNative: error (-38, 0)

253:03-12 01:53:51.439  1049  2699 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM: event=3(PLAYER_STATE_PAUSED)apc

=AudioPlaybackConfiguration piid:311 deviceId:3 type:android.media.MediaPlayer u/pid:10092/3973 state:started attr:AudioAttributes: usage=USAGE_MEDIA

content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:0

255:03-12 01:53:51.440  1049  2699 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM: event=4(PLAYER_STATE_STOPPED)apc

=AudioPlaybackConfiguration piid:311 deviceId:3 type:android.media.MediaPlayer u/pid:10092/3973 state:paused attr:AudioAttributes: usage=USAGE_MEDIA

content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:0

261:03-12 01:53:51.441  2021  3334 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:311 deviceId:3 type:android.media.MediaPlayer

u/pid:10092/3973 state:paused attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:0

345:03-12 01:53:51.498  3973  3973 E MediaPlayerNative: Attempt to call getDuration in wrong state: mPlayer=0xb4000070c2f88620, mCurrentState=0

346:03-12 01:53:51.498  3973  3973 E MediaPlayerNative: error (-38, 0)
351:03-12 01:53:51.511  3973  3973 E MediaPlayer: Error (-38,0) ★★★

366:03-12 01:53:51.512  3973  3973 E TS >>>> MultiPlayer: Error: -38,0 ★★★

当前分析到，该场景下由于，焦点丢失，

在PlaybackActivityMonitor.java中调用了stopAllPlayers()导致当前播放的音乐停止，出现未知错误，提示了该问题。

经过当前分析，该场景下不应该调用stopAllPlayers()，当前需要去掉。

■ 下一步

对当前的方案进行编译验证。

#3 - 2023-03-16 09:43 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 移动测试一组_CDTS 刘强

HI 刘强

■ 当前分析

当前VB已经编译完成，麻烦测试一下该bug是否还会复现，谢谢！

顺便测一下周边，看有没有其他问题。

/Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230315/202303151719-197

#4 - 2023-03-16 14:38 - 移动测试一组_CDTS 刘强

Hi all

此问题在01.00.C101.202303151719版本上不复现，验证通过。

Thanks

#5 - 2023-03-16 15:12 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to Multimedia组-RD3_TSCD 梁卿山

#6 - 2023-03-16 16:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187751 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: AudioFocus LOSS not stop playerAudioFocus LOSS not stop playerTC-RID: 0301-0900116IssueID: TS-R-BUG-116819Change-Id:

I5103e05cd4d0acb44fbde2ed3105dd1d636333c6

#7 - 2023-03-16 16:43 - Multimedia组-RD3_TSCD 梁卿山

- Due date set to 2023-03-16

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

2025-07-04 2/3



- Resolution changed from -- to FIXED

- Degrated changed from -- to No

#8 - 2023-03-17 09:37 - Multimedia组-RD3_TSCD 梁卿山

- Root cause set to 优化了失去焦点时的被动暂停逻辑，只通知应用焦点切换

#9 - 2023-03-20 18:17 - 移动测试一组_CDTS 刘强

Hi all

此问题在user.01.00.C101.202303191230上验证通过。

Thanks

#10 - 2023-03-21 10:09 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#11 - 2023-03-21 10:09 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
